import { defineComponent } from 'vue';
import {
  NDialogProvider,
  NNotificationProvider,
  NMessageProvider
} from 'naive-ui';

export default defineComponent({
  name: 'application-page',
  setup(props, { slots }) {


    return () => (
      <NDialogProvider>
        <NNotificationProvider>
          <NMessageProvider max={1}>
            {slots.default && slots.default()}
          </NMessageProvider>
        </NNotificationProvider>
      </NDialogProvider>
    );


  }
});
